IBM Support

JR53888: YOU RECEIVE AN UNSUPPORTEDCLASSVERSION ERROR WHEN YOU RUN SERVICEDEPLOY ON A JAVA 1.7-COMPILED PROJECT MODULE

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • When you rung serviceDeploy to build the Project Interchange
    (PI) or integration module .zip file that was exported from
    IBM WebSphere Integration Developer or IBM Integration
    Designer with Java 1.7 compiler enabled, you might get the
    following exception:
    
    [03.06.15 08:59:40:930 CEST]     FFDC
    Exception:java.lang.UnsupportedClassVersionError
    SourceId:com.ibm.ws.bpm.deploy.delegator.DelegatingTaskProvider
    ProbeId:70
    java.lang.UnsupportedClassVersionError:
    

Local fix

  • n/a
    

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  IBM Business Process Manager (BPM)          *
    *                  Advanced with Java 1.7 or later             *
    ****************************************************************
    * PROBLEM DESCRIPTION: When you rung serviceDeploy to build    *
    *                      the Project Interchange (PI) or         *
    *                      integration module .zip file that was   *
    *                      exported from IBM WebSphere             *
    *                      Integration Developer or IBM            *
    *                      Integration Designer with Java 1.7      *
    *                      compiler enabled, you might get the     *
    *                      following exception:                    *
    *                      [03.06.15 08:59:40:930 CEST]     FFDC   *
    *                      Exception:java.lang.UnsupportedClassVer *
    *                      sionError                               *
    *                      SourceId:com.ibm.ws.bpm.deploy.delegato *
    *                      r.DelegatingTaskProvider ProbeId:70     *
    *                      java.lang.UnsupportedClassVersionError: *
    *                                                              *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    You receive this error because the compiler level is not set
    correctly by serviceDeploy when building such PI or
    integration modules.
    

Problem conclusion

  • A fix is available for IBM BPM V8.5.6.0 that updates the code
    logic to set the compiler level correctly.
    
    On Fix Central (http://www.ibm.com/support/fixcentral), search
    for JR53888:
    
    1.Select IBM Business Process Manager with your edition from
    the product selector, the installed version to the fix pack
    level, and your platform, and then click Continue.
    2.Select APAR or SPR, enter JR53888, and click Continue.
    
    When you download fix packages, ensure that you also download
    the readme file for each fix. Review each readme file for
    additional installation instructions and information about the
    fix.
    

Temporary fix

Comments

APAR Information

  • APAR number

    JR53888

  • Reported component name

    BPM ADVANCED

  • Reported component ID

    5725C9400

  • Reported release

    856

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2015-07-22

  • Closed date

    2015-12-07

  • Last modified date

    2015-12-07

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    BPM ADVANCED

  • Fixed component ID

    5725C9400

Applicable component levels

  • R800 PSY

       UP

[{"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Product":{"code":"SSFTN5","label":"IBM Business Process Manager Advanced"},"Component":"","ARM Category":[],"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"856","Edition":"","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Document Information

Modified date:
07 December 2015